const collectionName = 'YourCollection';
domo.delete(`/domo/datastores/v1/collections/${collectionName}`)
.then(() => console.log('collection deleted'));{
"status": 403,
"statusReason": "status 403 reading CollectionsResourceClient#deleteCollection(UUID); content:\n{\"status\":403,\"toe\":\"AIFZ3S4ZR9-CVL5Q-1FOQC\"}",
"toe": "AIFZ3S4ZR9-CVL5Q-1FOQC"
}{
"status": 404,
"statusReason": "status 404 reading CollectionsResourceClient#deleteCollection(UUID); content:\n{\"message\":\"No collection with id 1b9eebac-e9b0-4e98-b218-34d4d751d15b found\",\"status\":404,\"statusReason\":\"Not Found\",\"toe\":\"CUDX3VBUXC-8BF1P-DXONT\"}",
"toe": "CUDX3VBUXC-8BF1P-DXONT"
}Delete Collection
Programmatically deletes a Collection.
Warning
This is destructive and cannot be reversed.
DELETE
/
domo
/
datastores
/
v1
/
collections
/
{collectionName}
const collectionName = 'YourCollection';
domo.delete(`/domo/datastores/v1/collections/${collectionName}`)
.then(() => console.log('collection deleted'));{
"status": 403,
"statusReason": "status 403 reading CollectionsResourceClient#deleteCollection(UUID); content:\n{\"status\":403,\"toe\":\"AIFZ3S4ZR9-CVL5Q-1FOQC\"}",
"toe": "AIFZ3S4ZR9-CVL5Q-1FOQC"
}{
"status": 404,
"statusReason": "status 404 reading CollectionsResourceClient#deleteCollection(UUID); content:\n{\"message\":\"No collection with id 1b9eebac-e9b0-4e98-b218-34d4d751d15b found\",\"status\":404,\"statusReason\":\"Not Found\",\"toe\":\"CUDX3VBUXC-8BF1P-DXONT\"}",
"toe": "CUDX3VBUXC-8BF1P-DXONT"
}Path Parameters
The name given to the collection in the manifest. Case-sensitive.
Response
Collection deleted successfully. No response body is returned.